import { Box, Typography } from "@mui/material";
import { memo } from "react";
import ProjectUserItem from "../../ProjectUserItem/ProjectUserItem";

const styleColumn = {
  border: '3px solid black',
  borderRadius: '10px',
  height: '60vh',
  flexBasis: 60 / 3 + '%',
  overflow: 'auto',
  overflowX: 'hidden',
}

const styleList = {
  display: 'flex',
  gap: '10px',
  flexDirection: 'column',
  alignItems: 'center',
}

const ProjectUsersColumn = ({ role, members }) => {
  return (
    <Box sx={styleColumn}>
      <Typography variant="h4" textAlign={'center'} sx={{marginBottom: '20px'}}>
        {role.text}
      </Typography>

      <Box sx={styleList}>
        {members.map((member) => {
          if (member.roleProject === role.value) {
            return (
            <ProjectUserItem
              key={member.id}
              user={member?.user}
            />
            )
          } else {
            return null
          }
        })}
      </Box>
    </Box>
  );
};

export default memo(ProjectUsersColumn);