import { Box, Grid } from "@mui/material";
import { useParams } from "react-router-dom";
import { useSelector, useDispatch } from "react-redux";
import { useEffect, useMemo, useState } from "react";
import { fetchProject } from "../../store/actions/projectsActions";
import { fetchUsers, fetchUsersAllFields } from "../../store/actions/usersActions";
import ProjectMembersList from "../../components/ProjectComponents/ProjectMembersList/ProjectMembersList";
import NewMember from "../NewMember/NewMember";
import ProjectUsersColumnsWrapper from "../../components/ProjectComponents/ProjectUsersColumnsWrapper/ProjectUsersColumnsWrapper";


const FullProject = () => {

    const { project } = useSelector(state => state.projects);


    const user = useSelector(state => state.users.user);

    const dispatch = useDispatch();
    const params = useParams()

    useEffect(() => {
        dispatch(fetchProject(params.id))
    }, [params.id, dispatch]);

    const members = useMemo(()=>{
        return project?.project?.members || []
    },[project])
    console.log(members)
    return <>
        <Grid item xs={12} sm={12} md={6} lg={4}>
            <Box>
                <h2>Проект - {project?.project?.title} </h2>

                <strong>
                    <br></br>
                    Дата создания проекта: {project?.project?.createdAt}
                </strong>
                <strong>
                    <br></br>
                    Цвет: {project?.project?.color}
                </strong>
                <strong>
                    <br></br>
                    Автор проекта: {project?.project?.members[0]?.user.displayName}
                </strong>
                <strong>
                    <br></br>
                    Роль в проекте: {project?.project?.members[0]?.roleProject}
                </strong>
                <strong>
                    <br></br>
                    Задачи:
                    <br></br>
                </strong>
                <strong>
                    <br></br>
                    <div style={{ display: 'flex', direction: 'column' }}>
                        Участники проекта:  <NewMember members={project?.project?.members} />
                    </div>

                    {/* <ProjectMembersList users={users} project={project} members={project?.project?.members} roleProjectOfAuthor={project?.project?.members[0]?.roleProject} authorOfProject={project?.project?.members[0]?.user.displayName} /> */}

                    <ProjectUsersColumnsWrapper
                        members={members}
                    />
                </strong>

            </Box>
        </Grid>

    </>
};

export default FullProject;
